Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1570780 - Tracker bug -- 7.5.1 respin of sssd-docker
Summary: Tracker bug -- 7.5.1 respin of sssd-docker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd-container
Version: 7.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: SSSD Maintainers
QA Contact: sssd-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 11:58 UTC by Michal Zidek
Modified: 2018-05-14 19:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 19:26:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1443 0 None None None 2018-05-14 19:26:57 UTC

Description Michal Zidek 2018-04-23 11:58:14 UTC
Tracking rebuild of sssd-docker.

Comment 4 Nikhil Dehadrai 2018-05-10 10:50:17 UTC
#
atomic-host-version:
Version: 7.5.1 (2018-05-08 16:36:53)
#
ipa-server-docker-image:
ipa-server-docker-4.5.4-6
#
sssd-container-image:
sssd-docker-7.5-9
#
ipa-server :
ipa-server-4.5.4-10.el7_5.1.x86_64
#
ipa-client:
ipa-client-4.5.4-10.el7_5.1.x86_64
#
Verified the bug with following scenarios:
1. Verified that IPA-client is installed through sssd-container image against ipa-docker IPA server.(type1)
2. Verified that IPA-client is installed through sssd-container image against ipa-docker IPA server.(type2)
2. Verified that klist works when ipa-client is configured with sssd-container image.
3. Verified that ipa-user/ windows AD user details can be viewed from client machine.
4. Verified that SSH works when IPA-client is configured with sssd-container image.
5. Verified that latest version of ipa-client is available with sssd-container image.
6. Verified that IPA-client can be uninstalled.
- For observations related to uninstall, separate bugs are logged and updated at:
https://bugzilla.redhat.com/show_bug.cgi?id=1572249#c11
https://bugzilla.redhat.com/show_bug.cgi?id=1572262#c6
7. Verified that IPA-client is installed through sssd-container(type1) image against RHEL ipa-server.
8. Verified that IPA-client is installed through sssd-container(type2) image against RHEL ipa-server.

Comment 6 Niranjan Mallapadi Raghavender 2018-05-10 17:34:27 UTC
Versions:

● ostree://rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.5.1 (2018-05-08 16:36:53)
                    Commit: c0211e0b703930dd0f0df8b9f5e731901fce8e15e00b3bc76d3cf00df44eb6e8

  ostree://rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
                   Version: 7.5.0 (2018-02-22 15:51:49)
                    Commit: 474534b1a1a2945c8ff2ad72cb646aaa25ec7b2d9fa9413a99a8cd2ef885dfdc

sssd-docker-7.5.9

IDM-SSSD-TC: SSSD-System-Container: Deny specific ad user login to Atomic host	2 min 57 sec	Passed
IDM-SSSD-TC: SSSD-System-Container: Discover Windows Domain on atomic host using realm cli	Passed
IDM-SSSD-TC: SSSD-System-Container: Permit specific ad user login to Atomic host		Passed
IDM-SSSD-TC: SSSD-System-Container: Query AD user using id command from new container		Fixed
IDM-SSSD-TC: SSSD-System-Container: Query AD users using ID command				Passed
IDM-SSSD-TC: SSSD-System-Container: Verify sssd selinux label					Passed


Filed Below BZ' for issues seen. 

https://bugzilla.redhat.com/show_bug.cgi?id=1559935
https://bugzilla.redhat.com/show_bug.cgi?id=1572262
https://bugzilla.redhat.com/show_bug.cgi?id=1572249

Comment 9 errata-xmlrpc 2018-05-14 19:26:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1443


Note You need to log in before you can comment on or make changes to this bug.